﻿using IgApp.Models;
using Infragistics.Web.Mvc;
using Microsoft.AspNetCore.Mvc;

namespace IgApp.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            var data = this.GetEmployees().AsQueryable();
            return View(data);
        }

        public IEnumerable<Employee> GetEmployees()
        {
            return new List<Employee>
            {
                new Employee { ID=1, Name="Aaron Cruz", Title="VP Product Management", Phone="1-(402)296-1230", Country="US" },
                new Employee { ID=2, Name="Benjamin Ortiz", Title="Sales Associate", Phone="1-(480)865-3285", Country="US" },
                new Employee { ID=3, Name="Harry Hughes", Title="Accounting Assistant II", Phone="1-(405)281-1072", Country="US" },
                new Employee { ID=4, Name="Evelyn Long", Title="Sales Manager", Phone="1-(757)668-2944", Country="US" },
            };
        }
    }
}